/********************************************************************************

	Gnucleus - A node application for the Gnutella network
    Copyright (C) 2000 John Marshall

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

	For support, questions, comments, etc...
	E-Mail: 
		swabby@c0re.net
	
	Address:
		21 Cadogan Way
		Nashua, NH, USA 03062

********************************************************************************/

// ViewDebug.cpp : implementation file
//

#include "stdafx.h"
#include "Gnucleus.h"
#include "GnucleusDoc.h"

#include "ViewConnect.h"
#include "ViewDebug.h"

#include "GnuHash.h"
#include "GnuControl.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CViewDebug

IMPLEMENT_DYNCREATE(CViewDebug, CFormView)

CViewDebug::CViewDebug()
	: CFormView(CViewDebug::IDD)
{
	//{{AFX_DATA_INIT(CViewDebug)
	//}}AFX_DATA_INIT

	Strike = 0;
}

CViewDebug::~CViewDebug()
{
}

void CViewDebug::OnInitialUpdate() 
{
	CFormView::OnInitialUpdate();
	

}

void CViewDebug::DoDataExchange(CDataExchange* pDX)
{
	CFormView::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CViewDebug)
	DDX_Control(pDX, IDC_RICHEDIT1, m_ebLog);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CViewDebug, CFormView)
	//{{AFX_MSG_MAP(CViewDebug)
	ON_BN_CLICKED(IDC_BUTTON_SENDPING, OnButtonSendping)
	ON_WM_TIMER()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CViewDebug diagnostics

#ifdef _DEBUG
void CViewDebug::AssertValid() const
{
	CFormView::AssertValid();
}

void CViewDebug::Dump(CDumpContext& dc) const
{
	CFormView::Dump(dc);
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CViewDebug message handlers

void CViewDebug::OnButtonSendping() 
{
	m_ebLog.SetWindowText("Hello\nWorld");
}

void CViewDebug::OnTimer(UINT nIDEvent) 
{


	CFormView::OnTimer(nIDEvent);
}


